package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TGuijiHousingconstructionJfpzxxMapper;
import com.sooka.system.domain.TGuijiHousingconstructionJfpzxx;
import com.sooka.system.service.ITGuijiHousingconstructionJfpzxxService;

/**
 * 缴费凭证信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-05
 */
@Service
public class TGuijiHousingconstructionJfpzxxServiceImpl extends Guiji_Base_Service implements ITGuijiHousingconstructionJfpzxxService {
    @Autowired
    private TGuijiHousingconstructionJfpzxxMapper tGuijiHousingconstructionJfpzxxMapper;

    /**
     * 查询缴费凭证信息
     *
     * @param id 缴费凭证信息ID
     * @return 缴费凭证信息
     */
    @Override
    public TGuijiHousingconstructionJfpzxx selectTGuijiHousingconstructionJfpzxxById(String id) {
        return tGuijiHousingconstructionJfpzxxMapper.selectTGuijiHousingconstructionJfpzxxById(id);
    }

    /**
     * 查询缴费凭证信息列表
     *
     * @param tGuijiHousingconstructionJfpzxx 缴费凭证信息
     * @return 缴费凭证信息
     */
    @Override
    public List<TGuijiHousingconstructionJfpzxx> selectTGuijiHousingconstructionJfpzxxList(TGuijiHousingconstructionJfpzxx tGuijiHousingconstructionJfpzxx) {
        List ls = tGuijiHousingconstructionJfpzxxMapper.selectTGuijiHousingconstructionJfpzxxList(tGuijiHousingconstructionJfpzxx);

        tGuijiHousingconstructionJfpzxx.setInterfaceinfoId("d1ab8cfb-c847-4f88-8285-9b1fa4f18400");
        tGuijiHousingconstructionJfpzxx.setInterfaceinfoName("共享-自来水公司-缴费凭证信息");
        tGuijiHousingconstructionJfpzxx.setInterfacetype("platform_interfacetype_1");
        add_log(tGuijiHousingconstructionJfpzxx);

        return ls;
    }

    /**
     * 新增缴费凭证信息
     *
     * @param tGuijiHousingconstructionJfpzxx 缴费凭证信息
     * @return 结果
     */
    @Override
    public int insertTGuijiHousingconstructionJfpzxx(TGuijiHousingconstructionJfpzxx tGuijiHousingconstructionJfpzxx) {
        tGuijiHousingconstructionJfpzxx.setCreateTime(DateUtils.getNowDate());
        return tGuijiHousingconstructionJfpzxxMapper.insertTGuijiHousingconstructionJfpzxx(tGuijiHousingconstructionJfpzxx);
    }

    /**
     * 修改缴费凭证信息
     *
     * @param tGuijiHousingconstructionJfpzxx 缴费凭证信息
     * @return 结果
     */
    @Override
    public int updateTGuijiHousingconstructionJfpzxx(TGuijiHousingconstructionJfpzxx tGuijiHousingconstructionJfpzxx) {
        return tGuijiHousingconstructionJfpzxxMapper.updateTGuijiHousingconstructionJfpzxx(tGuijiHousingconstructionJfpzxx);
    }

    /**
     * 删除缴费凭证信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionJfpzxxByIds(String ids) {
        return tGuijiHousingconstructionJfpzxxMapper.deleteTGuijiHousingconstructionJfpzxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除缴费凭证信息信息
     *
     * @param id 缴费凭证信息ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionJfpzxxById(String id) {
        return tGuijiHousingconstructionJfpzxxMapper.deleteTGuijiHousingconstructionJfpzxxById(id);
    }
}
